// Cover modal for adding products to basket
.basket-message {
    position: fixed;
    right: 15px;
    bottom: 30px;
    height: auto;
    width: 100%;
    max-width: 280px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: fade(@brand-success, 95%);
    color: #fff;
    text-align: left;
    transition: transform .3s, opacity .15s;
    transform: translateX(150%);
    border-radius: @theme-border-radius-large;
    opacity: 0;
    visibility: hidden;
    z-index: -40;

    @media (min-width: @screen-sm-min) {
        bottom: auto;
        right: 30px;
        top: 30px;
        max-width: 350px;
    }

    &.in {
        z-index: 3000;
        opacity: 1;
        visibility: visible;
        transform: translateX(0);
    }

    .error-msg,
    .success-msg {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        align-items: center;
    }

    .text-wrap {
        padding: @grid-gutter-width/1.5;

        .error-msg {
            display: none;
        }

        p {
            display: block;
            font-weight: 700;
            flex-grow: 1;
            flex-shrink: 1;
            margin-left: @grid-gutter-width/2;
            margin-bottom: 0;
            font-size: @font-size-large;
            line-height: 1.1;
        }

        i {
            font-size: 2rem;
            flex-shrink: 0;
            flex-grow: 0;
        }
    }

    &.error {
        background: fade(@brand-danger, 95%);

        .error-msg {
            display: flex;
        }

        .success-msg {
            display: none;
        }
    }
}
